<?php

namespace CodeConfig\EAW;

defined( 'ABSPATH' ) || exit( 'No direct script access allowed' );
use CodeConfig\EAW\Pages\AdminPages;
use CodeConfig\EAW\Pages\ProductPage;
use CodeConfig\EAW\Utils\Singleton;
class Admin {
    use Singleton;
    public function __construct() {
        ProductPage::getInstance();
    }

    /**
     * Register hooks for the admin area.
     *
     * @since 1.0.0
     */
    private function doHooks() {
        add_action( 'admin_menu', [AdminPages::class, 'adminMenu'] );
    }

}
